Page MenuHomePhabricator

Add most frequently used missing file types for filetype:
Closed, ResolvedPublic

Description

Based on results of T152728, the following file type aliases recommended to be added:

  • pdf -> office
  • ppt -> office
  • doc -> office
  • jpg -> bitmap
  • image -> bitmap
  • webp -> bitmap
  • mp3 -> audio
  • svg -> drawing

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2017, 7:55 PM
Smalyshev triaged this task as Normal priority.
Smalyshev added a project: Discovery-Search.
Smalyshev added subscribers: EBernhardson, dcausse.

Change 335265 had a related patch set uploaded (by Smalyshev):
Add most frequently used aliases for filetype: search

https://gerrit.wikimedia.org/r/335265

Change 335265 merged by jenkins-bot:
Add most frequently used aliases for filetype: search

https://gerrit.wikimedia.org/r/335265

Smalyshev closed this task as Resolved.Feb 2 2017, 12:33 AM
daniel added a subscriber: daniel.Feb 10 2017, 3:25 PM

Shouldn't file extensions map to mime types instead of media types?

@daniel: not sure I understand the question. We have search both by mime type and media type, we don't really have search by file extension (maybe as part of title?). Unfortunately, media types used in core are kind of obscure, so we've added some aliases to map frequently used types "obvious" types to the actual obscure ones (i.e. any bitmap image is "bitmap", but people frequently search for "jpg" or "image").